List built component settings
curl --request GET \
--url https://api.extole.io/v1/components/{component_id}/settings/built \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v1/components/{component_id}/settings/built"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v1/components/{component_id}/settings/built', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"display_name": "<string>",
"name": "<string>",
"priority": "10",
"tags": [
"<string>"
],
"type": "ADMIN_ICON",
"values": {
"default": {},
"en": {}
},
"description": "<string>",
"source": "INHERITED",
"source_component_id": "<string>",
"source_version": 123
}
]Components
List built component settings
Returns all component settings in their fully evaluated runtime form.
GET
https://api.extole.io
/
v1
/
components
/
{component_id}
/
settings
/
built
List built component settings
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
Example:
"10"
Available options:
ADMIN_ICON, AUDIENCE_ID, AUDIENCE_ID_LIST, BOOLEAN, BROWSER_SIDE_JAVASCRIPT, CLIENT_DOMAIN_ID_LIST, CLIENT_KEY, COLOR, CSS, DATE_TIME, DELAY, DELAY_LIST, EXTOLE_CLIENT_KEY, FONT, GLOB_COMPONENT_PATH, HTML, IMAGE, INTEGER, INTEGER_LIST, JSON, PERSON_KEY_NAME, REWARD_SUPPLIER_ID, STRING, STRING_LIST, URL, WEBHOOK_ID Open map of evaluated setting values keyed by value key. There is no fixed or maximum number of keys. Any string key may be present; each value uses the same shape for this setting's type. The properties listed here are common examples only and are not required.
Show child attributes
Show child attributes
Where this setting takes its value from. LOCAL uses the values stored on this component. INHERITED uses the same-named setting of the nearest ancestor component that is not itself INHERITED. PARAMETER uses the same-named parameter of the socket this component is installed into.
Available options:
INHERITED, LOCAL, PARAMETER Was this page helpful?
